import yr from "@oruga-ui/oruga-next";
import { bulmaConfig as kr } from "@oruga-ui/theme-bulma";
import { resolveComponent as wr, openBlock as xr, createElementBlock as Ar, createVNode as Er } from "vue";
const Sr = {
  name: "CrediButton",
  props: {
    label: {
      type: String,
      required: !0
    },
    size: {
      type: String,
      default: "small",
      validator(E) {
        return ["small", "medium", "large"].indexOf(E) !== -1;
      }
    },
    backgroundColor: {
      type: String,
      default: "primary"
    },
    iconLeft: {
      type: String,
      default: null
    }
  }
}, Cr = (E, l) => {
  const A = E.__vccOpts || E;
  for (const [et, B] of l)
    A[et] = B;
  return A;
};
function Or(E, l, A, et, B, Bt) {
  const bt = wr("o-button");
  return xr(), Ar("div", null, [
    Er(bt, {
      size: A.size,
      variant: A.backgroundColor,
      "icon-left": A.iconLeft,
      label: A.label,
      class: "is-rounded"
    }, null, 8, ["size", "variant", "icon-left", "label"])
  ]);
}
const Pr = /* @__PURE__ */ Cr(Sr, [["render", Or]]);
/*!
 * Font Awesome Free 6.1.2 by @fontawesome - https://fontawesome.com
 * License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License)
 * Copyright 2022 Fonticons, Inc.
 */
(function() {
  function E(t, a) {
    var e = Object.keys(t);
    if (Object.getOwnPropertySymbols) {
      var r = Object.getOwnPropertySymbols(t);
      a && (r = r.filter(function(n) {
        return Object.getOwnPropertyDescriptor(t, n).enumerable;
      })), e.push.apply(e, r);
    }
    return e;
  }
  function l(t) {
    for (var a = 1; a < arguments.length; a++) {
      var e = arguments[a] != null ? arguments[a] : {};
      a % 2 ? E(Object(e), !0).forEach(function(r) {
        bt(t, r, e[r]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t, Object.getOwnPropertyDescriptors(e)) : E(Object(e)).forEach(function(r) {
        Object.defineProperty(t, r, Object.getOwnPropertyDescriptor(e, r));
      });
    }
    return t;
  }
  function A(t) {
    return A = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(a) {
      return typeof a;
    } : function(a) {
      return a && typeof Symbol == "function" && a.constructor === Symbol && a !== Symbol.prototype ? "symbol" : typeof a;
    }, A(t);
  }
  function et(t, a) {
    if (!(t instanceof a))
      throw new TypeError("Cannot call a class as a function");
  }
  function B(t, a) {
    for (var e = 0; e < a.length; e++) {
      var r = a[e];
      r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), Object.defineProperty(t, r.key, r);
    }
  }
  function Bt(t, a, e) {
    return a && B(t.prototype, a), e && B(t, e), Object.defineProperty(t, "prototype", {
      writable: !1
    }), t;
  }
  function bt(t, a, e) {
    return a in t ? Object.defineProperty(t, a, {
      value: e,
      enumerable: !0,
      configurable: !0,
      writable: !0
    }) : t[a] = e, t;
  }
  function rt(t, a) {
    return Ua(t) || Ha(t, a) || Gt(t, a) || Ga();
  }
  function G(t) {
    return $a(t) || Wa(t) || Gt(t) || Ba();
  }
  function $a(t) {
    if (Array.isArray(t))
      return gt(t);
  }
  function Ua(t) {
    if (Array.isArray(t))
      return t;
  }
  function Wa(t) {
    if (typeof Symbol < "u" && t[Symbol.iterator] != null || t["@@iterator"] != null)
      return Array.from(t);
  }
  function Ha(t, a) {
    var e = t == null ? null : typeof Symbol < "u" && t[Symbol.iterator] || t["@@iterator"];
    if (e != null) {
      var r = [], n = !0, o = !1, i, s;
      try {
        for (e = e.call(t); !(n = (i = e.next()).done) && (r.push(i.value), !(a && r.length === a)); n = !0)
          ;
      } catch (f) {
        o = !0, s = f;
      } finally {
        try {
          !n && e.return != null && e.return();
        } finally {
          if (o)
            throw s;
        }
      }
      return r;
    }
  }
  function Gt(t, a) {
    if (!!t) {
      if (typeof t == "string")
        return gt(t, a);
      var e = Object.prototype.toString.call(t).slice(8, -1);
      if (e === "Object" && t.constructor && (e = t.constructor.name), e === "Map" || e === "Set")
        return Array.from(t);
      if (e === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(e))
        return gt(t, a);
    }
  }
  function gt(t, a) {
    (a == null || a > t.length) && (a = t.length);
    for (var e = 0, r = new Array(a); e < a; e++)
      r[e] = t[e];
    return r;
  }
  function Ba() {
    throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
  }
  function Ga() {
    throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
  }
  var Xt = function() {
  }, pt = {}, Vt = {}, qt = null, Kt = {
    mark: Xt,
    measure: Xt
  };
  try {
    typeof window < "u" && (pt = window), typeof document < "u" && (Vt = document), typeof MutationObserver < "u" && (qt = MutationObserver), typeof performance < "u" && (Kt = performance);
  } catch {
  }
  var Xa = pt.navigator || {}, Qt = Xa.userAgent, Jt = Qt === void 0 ? "" : Qt, O = pt, b = Vt, Zt = qt, nt = Kt, Va = !!O.document, N = !!b.documentElement && !!b.head && typeof b.addEventListener == "function" && typeof b.createElement == "function", ta = ~Jt.indexOf("MSIE") || ~Jt.indexOf("Trident/"), I = "___FONT_AWESOME___", ht = 16, aa = "fa", ea = "svg-inline--fa", D = "data-fa-i2svg", yt = "data-fa-pseudo-element", qa = "data-fa-pseudo-element-pending", kt = "data-prefix", wt = "data-icon", ra = "fontawesome-i2svg", Ka = "async", Qa = ["HTML", "HEAD", "STYLE", "SCRIPT"], xt = function() {
    try {
      return !0;
    } catch {
      return !1;
    }
  }(), At = {
    fas: "solid",
    "fa-solid": "solid",
    far: "regular",
    "fa-regular": "regular",
    fal: "light",
    "fa-light": "light",
    fat: "thin",
    "fa-thin": "thin",
    fad: "duotone",
    "fa-duotone": "duotone",
    fab: "brands",
    "fa-brands": "brands",
    fak: "kit",
    "fa-kit": "kit",
    fa: "solid"
  }, it = {
    solid: "fas",
    regular: "far",
    light: "fal",
    thin: "fat",
    duotone: "fad",
    brands: "fab",
    kit: "fak"
  }, na = {
    fab: "fa-brands",
    fad: "fa-duotone",
    fak: "fa-kit",
    fal: "fa-light",
    far: "fa-regular",
    fas: "fa-solid",
    fat: "fa-thin"
  }, Ja = {
    "fa-brands": "fab",
    "fa-duotone": "fad",
    "fa-kit": "fak",
    "fa-light": "fal",
    "fa-regular": "far",
    "fa-solid": "fas",
    "fa-thin": "fat"
  }, Za = /fa[srltdbk]?[\-\ ]/, ia = "fa-layers-text", te = /Font ?Awesome ?([56 ]*)(Solid|Regular|Light|Thin|Duotone|Brands|Free|Pro|Kit)?.*/i, ae = {
    900: "fas",
    400: "far",
    normal: "far",
    300: "fal",
    100: "fat"
  }, oa = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10], ee = oa.concat([11, 12, 13, 14, 15, 16, 17, 18, 19, 20]), re = ["class", "data-prefix", "data-icon", "data-fa-transform", "data-fa-mask"], Y = {
    GROUP: "duotone-group",
    SWAP_OPACITY: "swap-opacity",
    PRIMARY: "primary",
    SECONDARY: "secondary"
  }, ne = [].concat(G(Object.keys(it)), ["2xs", "xs", "sm", "lg", "xl", "2xl", "beat", "border", "fade", "beat-fade", "bounce", "flip-both", "flip-horizontal", "flip-vertical", "flip", "fw", "inverse", "layers-counter", "layers-text", "layers", "li", "pull-left", "pull-right", "pulse", "rotate-180", "rotate-270", "rotate-90", "rotate-by", "shake", "spin-pulse", "spin-reverse", "spin", "stack-1x", "stack-2x", "stack", "ul", Y.GROUP, Y.SWAP_OPACITY, Y.PRIMARY, Y.SECONDARY]).concat(oa.map(function(t) {
    return "".concat(t, "x");
  })).concat(ee.map(function(t) {
    return "w-".concat(t);
  })), sa = O.FontAwesomeConfig || {};
  function ie(t) {
    var a = b.querySelector("script[" + t + "]");
    if (a)
      return a.getAttribute(t);
  }
  function oe(t) {
    return t === "" ? !0 : t === "false" ? !1 : t === "true" ? !0 : t;
  }
  if (b && typeof b.querySelector == "function") {
    var se = [["data-family-prefix", "familyPrefix"], ["data-style-default", "styleDefault"], ["data-replacement-class", "replacementClass"], ["data-auto-replace-svg", "autoReplaceSvg"], ["data-auto-add-css", "autoAddCss"], ["data-auto-a11y", "autoA11y"], ["data-search-pseudo-elements", "searchPseudoElements"], ["data-observe-mutations", "observeMutations"], ["data-mutate-approach", "mutateApproach"], ["data-keep-original-source", "keepOriginalSource"], ["data-measure-performance", "measurePerformance"], ["data-show-missing-icons", "showMissingIcons"]];
    se.forEach(function(t) {
      var a = rt(t, 2), e = a[0], r = a[1], n = oe(ie(e));
      n != null && (sa[r] = n);
    });
  }
  var fe = {
    familyPrefix: aa,
    styleDefault: "solid",
    replacementClass: ea,
    autoReplaceSvg: !0,
    autoAddCss: !0,
    autoA11y: !0,
    searchPseudoElements: !1,
    observeMutations: !0,
    mutateApproach: "async",
    keepOriginalSource: !0,
    measurePerformance: !1,
    showMissingIcons: !0
  }, X = l(l({}, fe), sa);
  X.autoReplaceSvg || (X.observeMutations = !1);
  var m = {};
  Object.keys(X).forEach(function(t) {
    Object.defineProperty(m, t, {
      enumerable: !0,
      set: function(e) {
        X[t] = e, ot.forEach(function(r) {
          return r(m);
        });
      },
      get: function() {
        return X[t];
      }
    });
  }), O.FontAwesomeConfig = m;
  var ot = [];
  function le(t) {
    return ot.push(t), function() {
      ot.splice(ot.indexOf(t), 1);
    };
  }
  var M = ht, P = {
    size: 16,
    x: 0,
    y: 0,
    rotate: 0,
    flipX: !1,
    flipY: !1
  };
  function ce(t) {
    try {
      for (var a = arguments.length, e = new Array(a > 1 ? a - 1 : 0), r = 1; r < a; r++)
        e[r - 1] = arguments[r];
      t.apply(void 0, e);
    } catch (n) {
      if (!xt)
        throw n;
    }
  }
  function ue(t) {
    if (!(!t || !N)) {
      var a = b.createElement("style");
      a.setAttribute("type", "text/css"), a.innerHTML = t;
      for (var e = b.head.childNodes, r = null, n = e.length - 1; n > -1; n--) {
        var o = e[n], i = (o.tagName || "").toUpperCase();
        ["STYLE", "LINK"].indexOf(i) > -1 && (r = o);
      }
      return b.head.insertBefore(a, r), t;
    }
  }
  var me = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
  function V() {
    for (var t = 12, a = ""; t-- > 0; )
      a += me[Math.random() * 62 | 0];
    return a;
  }
  function j(t) {
    for (var a = [], e = (t || []).length >>> 0; e--; )
      a[e] = t[e];
    return a;
  }
  function Et(t) {
    return t.classList ? j(t.classList) : (t.getAttribute("class") || "").split(" ").filter(function(a) {
      return a;
    });
  }
  function fa(t) {
    return "".concat(t).replace(/&/g, "&amp;").replace(/"/g, "&quot;").replace(/'/g, "&#39;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
  }
  function de(t) {
    return Object.keys(t || {}).reduce(function(a, e) {
      return a + "".concat(e, '="').concat(fa(t[e]), '" ');
    }, "").trim();
  }
  function st(t) {
    return Object.keys(t || {}).reduce(function(a, e) {
      return a + "".concat(e, ": ").concat(t[e].trim(), ";");
    }, "");
  }
  function St(t) {
    return t.size !== P.size || t.x !== P.x || t.y !== P.y || t.rotate !== P.rotate || t.flipX || t.flipY;
  }
  function ve(t) {
    var a = t.transform, e = t.containerWidth, r = t.iconWidth, n = {
      transform: "translate(".concat(e / 2, " 256)")
    }, o = "translate(".concat(a.x * 32, ", ").concat(a.y * 32, ") "), i = "scale(".concat(a.size / 16 * (a.flipX ? -1 : 1), ", ").concat(a.size / 16 * (a.flipY ? -1 : 1), ") "), s = "rotate(".concat(a.rotate, " 0 0)"), f = {
      transform: "".concat(o, " ").concat(i, " ").concat(s)
    }, d = {
      transform: "translate(".concat(r / 2 * -1, " -256)")
    };
    return {
      outer: n,
      inner: f,
      path: d
    };
  }
  function be(t) {
    var a = t.transform, e = t.width, r = e === void 0 ? ht : e, n = t.height, o = n === void 0 ? ht : n, i = t.startCentered, s = i === void 0 ? !1 : i, f = "";
    return s && ta ? f += "translate(".concat(a.x / M - r / 2, "em, ").concat(a.y / M - o / 2, "em) ") : s ? f += "translate(calc(-50% + ".concat(a.x / M, "em), calc(-50% + ").concat(a.y / M, "em)) ") : f += "translate(".concat(a.x / M, "em, ").concat(a.y / M, "em) "), f += "scale(".concat(a.size / M * (a.flipX ? -1 : 1), ", ").concat(a.size / M * (a.flipY ? -1 : 1), ") "), f += "rotate(".concat(a.rotate, "deg) "), f;
  }
  var ge = ':host,:root{--fa-font-solid:normal 900 1em/1 "Font Awesome 6 Solid";--fa-font-regular:normal 400 1em/1 "Font Awesome 6 Regular";--fa-font-light:normal 300 1em/1 "Font Awesome 6 Light";--fa-font-thin:normal 100 1em/1 "Font Awesome 6 Thin";--fa-font-duotone:normal 900 1em/1 "Font Awesome 6 Duotone";--fa-font-brands:normal 400 1em/1 "Font Awesome 6 Brands"}svg:not(:host).svg-inline--fa,svg:not(:root).svg-inline--fa{overflow:visible;box-sizing:content-box}.svg-inline--fa{display:var(--fa-display,inline-block);height:1em;overflow:visible;vertical-align:-.125em}.svg-inline--fa.fa-2xs{vertical-align:.1em}.svg-inline--fa.fa-xs{vertical-align:0}.svg-inline--fa.fa-sm{vertical-align:-.0714285705em}.svg-inline--fa.fa-lg{vertical-align:-.2em}.svg-inline--fa.fa-xl{vertical-align:-.25em}.svg-inline--fa.fa-2xl{vertical-align:-.3125em}.svg-inline--fa.fa-pull-left{margin-right:var(--fa-pull-margin,.3em);width:auto}.svg-inline--fa.fa-pull-right{margin-left:var(--fa-pull-margin,.3em);width:auto}.svg-inline--fa.fa-li{width:var(--fa-li-width,2em);top:.25em}.svg-inline--fa.fa-fw{width:var(--fa-fw-width,1.25em)}.fa-layers svg.svg-inline--fa{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0}.fa-layers-counter,.fa-layers-text{display:inline-block;position:absolute;text-align:center}.fa-layers{display:inline-block;height:1em;position:relative;text-align:center;vertical-align:-.125em;width:1em}.fa-layers svg.svg-inline--fa{-webkit-transform-origin:center center;transform-origin:center center}.fa-layers-text{left:50%;top:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);-webkit-transform-origin:center center;transform-origin:center center}.fa-layers-counter{background-color:var(--fa-counter-background-color,#ff253a);border-radius:var(--fa-counter-border-radius,1em);box-sizing:border-box;color:var(--fa-inverse,#fff);line-height:var(--fa-counter-line-height,1);max-width:var(--fa-counter-max-width,5em);min-width:var(--fa-counter-min-width,1.5em);overflow:hidden;padding:var(--fa-counter-padding,.25em .5em);right:var(--fa-right,0);text-overflow:ellipsis;top:var(--fa-top,0);-webkit-transform:scale(var(--fa-counter-scale,.25));transform:scale(var(--fa-counter-scale,.25));-webkit-transform-origin:top right;transform-origin:top right}.fa-layers-bottom-right{bottom:var(--fa-bottom,0);right:var(--fa-right,0);top:auto;-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:bottom right;transform-origin:bottom right}.fa-layers-bottom-left{bottom:var(--fa-bottom,0);left:var(--fa-left,0);right:auto;top:auto;-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:bottom left;transform-origin:bottom left}.fa-layers-top-right{top:var(--fa-top,0);right:var(--fa-right,0);-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:top right;transform-origin:top right}.fa-layers-top-left{left:var(--fa-left,0);right:auto;top:var(--fa-top,0);-webkit-transform:scale(var(--fa-layers-scale,.25));transform:scale(var(--fa-layers-scale,.25));-webkit-transform-origin:top left;transform-origin:top left}.fa-1x{font-size:1em}.fa-2x{font-size:2em}.fa-3x{font-size:3em}.fa-4x{font-size:4em}.fa-5x{font-size:5em}.fa-6x{font-size:6em}.fa-7x{font-size:7em}.fa-8x{font-size:8em}.fa-9x{font-size:9em}.fa-10x{font-size:10em}.fa-2xs{font-size:.625em;line-height:.1em;vertical-align:.225em}.fa-xs{font-size:.75em;line-height:.0833333337em;vertical-align:.125em}.fa-sm{font-size:.875em;line-height:.0714285718em;vertical-align:.0535714295em}.fa-lg{font-size:1.25em;line-height:.05em;vertical-align:-.075em}.fa-xl{font-size:1.5em;line-height:.0416666682em;vertical-align:-.125em}.fa-2xl{font-size:2em;line-height:.03125em;vertical-align:-.1875em}.fa-fw{text-align:center;width:1.25em}.fa-ul{list-style-type:none;margin-left:var(--fa-li-margin,2.5em);padding-left:0}.fa-ul>li{position:relative}.fa-li{left:calc(var(--fa-li-width,2em) * -1);position:absolute;text-align:center;width:var(--fa-li-width,2em);line-height:inherit}.fa-border{border-color:var(--fa-border-color,#eee);border-radius:var(--fa-border-radius,.1em);border-style:var(--fa-border-style,solid);border-width:var(--fa-border-width,.08em);padding:var(--fa-border-padding,.2em .25em .15em)}.fa-pull-left{float:left;margin-right:var(--fa-pull-margin,.3em)}.fa-pull-right{float:right;margin-left:var(--fa-pull-margin,.3em)}.fa-beat{-webkit-animation-name:fa-beat;animation-name:fa-beat;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,ease-in-out);animation-timing-function:var(--fa-animation-timing,ease-in-out)}.fa-bounce{-webkit-animation-name:fa-bounce;animation-name:fa-bounce;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,cubic-bezier(.28,.84,.42,1));animation-timing-function:var(--fa-animation-timing,cubic-bezier(.28,.84,.42,1))}.fa-fade{-webkit-animation-name:fa-fade;animation-name:fa-fade;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1));animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1))}.fa-beat-fade{-webkit-animation-name:fa-beat-fade;animation-name:fa-beat-fade;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1));animation-timing-function:var(--fa-animation-timing,cubic-bezier(.4,0,.6,1))}.fa-flip{-webkit-animation-name:fa-flip;animation-name:fa-flip;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,ease-in-out);animation-timing-function:var(--fa-animation-timing,ease-in-out)}.fa-shake{-webkit-animation-name:fa-shake;animation-name:fa-shake;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,linear);animation-timing-function:var(--fa-animation-timing,linear)}.fa-spin{-webkit-animation-name:fa-spin;animation-name:fa-spin;-webkit-animation-delay:var(--fa-animation-delay,0);animation-delay:var(--fa-animation-delay,0);-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,2s);animation-duration:var(--fa-animation-duration,2s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,linear);animation-timing-function:var(--fa-animation-timing,linear)}.fa-spin-reverse{--fa-animation-direction:reverse}.fa-pulse,.fa-spin-pulse{-webkit-animation-name:fa-spin;animation-name:fa-spin;-webkit-animation-direction:var(--fa-animation-direction,normal);animation-direction:var(--fa-animation-direction,normal);-webkit-animation-duration:var(--fa-animation-duration,1s);animation-duration:var(--fa-animation-duration,1s);-webkit-animation-iteration-count:var(--fa-animation-iteration-count,infinite);animation-iteration-count:var(--fa-animation-iteration-count,infinite);-webkit-animation-timing-function:var(--fa-animation-timing,steps(8));animation-timing-function:var(--fa-animation-timing,steps(8))}@media (prefers-reduced-motion:reduce){.fa-beat,.fa-beat-fade,.fa-bounce,.fa-fade,.fa-flip,.fa-pulse,.fa-shake,.fa-spin,.fa-spin-pulse{-webkit-animation-delay:-1ms;animation-delay:-1ms;-webkit-animation-duration:1ms;animation-duration:1ms;-webkit-animation-iteration-count:1;animation-iteration-count:1;transition-delay:0s;transition-duration:0s}}@-webkit-keyframes fa-beat{0%,90%{-webkit-transform:scale(1);transform:scale(1)}45%{-webkit-transform:scale(var(--fa-beat-scale,1.25));transform:scale(var(--fa-beat-scale,1.25))}}@keyframes fa-beat{0%,90%{-webkit-transform:scale(1);transform:scale(1)}45%{-webkit-transform:scale(var(--fa-beat-scale,1.25));transform:scale(var(--fa-beat-scale,1.25))}}@-webkit-keyframes fa-bounce{0%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}10%{-webkit-transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0);transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0)}30%{-webkit-transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em));transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em))}50%{-webkit-transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0);transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0)}57%{-webkit-transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em));transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em))}64%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}100%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}}@keyframes fa-bounce{0%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}10%{-webkit-transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0);transform:scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0)}30%{-webkit-transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em));transform:scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em))}50%{-webkit-transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0);transform:scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0)}57%{-webkit-transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em));transform:scale(1,1) translateY(var(--fa-bounce-rebound,-.125em))}64%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}100%{-webkit-transform:scale(1,1) translateY(0);transform:scale(1,1) translateY(0)}}@-webkit-keyframes fa-fade{50%{opacity:var(--fa-fade-opacity,.4)}}@keyframes fa-fade{50%{opacity:var(--fa-fade-opacity,.4)}}@-webkit-keyframes fa-beat-fade{0%,100%{opacity:var(--fa-beat-fade-opacity,.4);-webkit-transform:scale(1);transform:scale(1)}50%{opacity:1;-webkit-transform:scale(var(--fa-beat-fade-scale,1.125));transform:scale(var(--fa-beat-fade-scale,1.125))}}@keyframes fa-beat-fade{0%,100%{opacity:var(--fa-beat-fade-opacity,.4);-webkit-transform:scale(1);transform:scale(1)}50%{opacity:1;-webkit-transform:scale(var(--fa-beat-fade-scale,1.125));transform:scale(var(--fa-beat-fade-scale,1.125))}}@-webkit-keyframes fa-flip{50%{-webkit-transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg));transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))}}@keyframes fa-flip{50%{-webkit-transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg));transform:rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))}}@-webkit-keyframes fa-shake{0%{-webkit-transform:rotate(-15deg);transform:rotate(-15deg)}4%{-webkit-transform:rotate(15deg);transform:rotate(15deg)}24%,8%{-webkit-transform:rotate(-18deg);transform:rotate(-18deg)}12%,28%{-webkit-transform:rotate(18deg);transform:rotate(18deg)}16%{-webkit-transform:rotate(-22deg);transform:rotate(-22deg)}20%{-webkit-transform:rotate(22deg);transform:rotate(22deg)}32%{-webkit-transform:rotate(-12deg);transform:rotate(-12deg)}36%{-webkit-transform:rotate(12deg);transform:rotate(12deg)}100%,40%{-webkit-transform:rotate(0);transform:rotate(0)}}@keyframes fa-shake{0%{-webkit-transform:rotate(-15deg);transform:rotate(-15deg)}4%{-webkit-transform:rotate(15deg);transform:rotate(15deg)}24%,8%{-webkit-transform:rotate(-18deg);transform:rotate(-18deg)}12%,28%{-webkit-transform:rotate(18deg);transform:rotate(18deg)}16%{-webkit-transform:rotate(-22deg);transform:rotate(-22deg)}20%{-webkit-transform:rotate(22deg);transform:rotate(22deg)}32%{-webkit-transform:rotate(-12deg);transform:rotate(-12deg)}36%{-webkit-transform:rotate(12deg);transform:rotate(12deg)}100%,40%{-webkit-transform:rotate(0);transform:rotate(0)}}@-webkit-keyframes fa-spin{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}@keyframes fa-spin{0%{-webkit-transform:rotate(0);transform:rotate(0)}100%{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}.fa-rotate-90{-webkit-transform:rotate(90deg);transform:rotate(90deg)}.fa-rotate-180{-webkit-transform:rotate(180deg);transform:rotate(180deg)}.fa-rotate-270{-webkit-transform:rotate(270deg);transform:rotate(270deg)}.fa-flip-horizontal{-webkit-transform:scale(-1,1);transform:scale(-1,1)}.fa-flip-vertical{-webkit-transform:scale(1,-1);transform:scale(1,-1)}.fa-flip-both,.fa-flip-horizontal.fa-flip-vertical{-webkit-transform:scale(-1,-1);transform:scale(-1,-1)}.fa-rotate-by{-webkit-transform:rotate(var(--fa-rotate-angle,none));transform:rotate(var(--fa-rotate-angle,none))}.fa-stack{display:inline-block;vertical-align:middle;height:2em;position:relative;width:2.5em}.fa-stack-1x,.fa-stack-2x{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0;z-index:var(--fa-stack-z-index,auto)}.svg-inline--fa.fa-stack-1x{height:1em;width:1.25em}.svg-inline--fa.fa-stack-2x{height:2em;width:2.5em}.fa-inverse{color:var(--fa-inverse,#fff)}.fa-sr-only,.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);white-space:nowrap;border-width:0}.fa-sr-only-focusable:not(:focus),.sr-only-focusable:not(:focus){position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);white-space:nowrap;border-width:0}.svg-inline--fa .fa-primary{fill:var(--fa-primary-color,currentColor);opacity:var(--fa-primary-opacity,1)}.svg-inline--fa .fa-secondary{fill:var(--fa-secondary-color,currentColor);opacity:var(--fa-secondary-opacity,.4)}.svg-inline--fa.fa-swap-opacity .fa-primary{opacity:var(--fa-secondary-opacity,.4)}.svg-inline--fa.fa-swap-opacity .fa-secondary{opacity:var(--fa-primary-opacity,1)}.svg-inline--fa mask .fa-primary,.svg-inline--fa mask .fa-secondary{fill:#000}.fa-duotone.fa-inverse,.fad.fa-inverse{color:var(--fa-inverse,#fff)}';
  function la() {
    var t = aa, a = ea, e = m.familyPrefix, r = m.replacementClass, n = ge;
    if (e !== t || r !== a) {
      var o = new RegExp("\\.".concat(t, "\\-"), "g"), i = new RegExp("\\--".concat(t, "\\-"), "g"), s = new RegExp("\\.".concat(a), "g");
      n = n.replace(o, ".".concat(e, "-")).replace(i, "--".concat(e, "-")).replace(s, ".".concat(r));
    }
    return n;
  }
  var ca = !1;
  function Ct() {
    m.autoAddCss && !ca && (ue(la()), ca = !0);
  }
  var pe = {
    mixout: function() {
      return {
        dom: {
          css: la,
          insertCss: Ct
        }
      };
    },
    hooks: function() {
      return {
        beforeDOMElementCreation: function() {
          Ct();
        },
        beforeI2svg: function() {
          Ct();
        }
      };
    }
  }, T = O || {};
  T[I] || (T[I] = {}), T[I].styles || (T[I].styles = {}), T[I].hooks || (T[I].hooks = {}), T[I].shims || (T[I].shims = []);
  var p = T[I], ua = [], he = function t() {
    b.removeEventListener("DOMContentLoaded", t), ft = 1, ua.map(function(a) {
      return a();
    });
  }, ft = !1;
  N && (ft = (b.documentElement.doScroll ? /^loaded|^c/ : /^loaded|^i|^c/).test(b.readyState), ft || b.addEventListener("DOMContentLoaded", he));
  function ma(t) {
    !N || (ft ? setTimeout(t, 0) : ua.push(t));
  }
  function q(t) {
    var a = t.tag, e = t.attributes, r = e === void 0 ? {} : e, n = t.children, o = n === void 0 ? [] : n;
    return typeof t == "string" ? fa(t) : "<".concat(a, " ").concat(de(r), ">").concat(o.map(q).join(""), "</").concat(a, ">");
  }
  function da(t, a, e) {
    if (t && t[a] && t[a][e])
      return {
        prefix: a,
        iconName: e,
        icon: t[a][e]
      };
  }
  var ye = function(a, e) {
    return function(r, n, o, i) {
      return a.call(e, r, n, o, i);
    };
  }, Ot = function(a, e, r, n) {
    var o = Object.keys(a), i = o.length, s = n !== void 0 ? ye(e, n) : e, f, d, c;
    for (r === void 0 ? (f = 1, c = a[o[0]]) : (f = 0, c = r); f < i; f++)
      d = o[f], c = s(c, a[d], d, a);
    return c;
  };
  function ke(t) {
    for (var a = [], e = 0, r = t.length; e < r; ) {
      var n = t.charCodeAt(e++);
      if (n >= 55296 && n <= 56319 && e < r) {
        var o = t.charCodeAt(e++);
        (o & 64512) == 56320 ? a.push(((n & 1023) << 10) + (o & 1023) + 65536) : (a.push(n), e--);
      } else
        a.push(n);
    }
    return a;
  }
  function Pt(t) {
    var a = ke(t);
    return a.length === 1 ? a[0].toString(16) : null;
  }
  function we(t, a) {
    var e = t.length, r = t.charCodeAt(a), n;
    return r >= 55296 && r <= 56319 && e > a + 1 && (n = t.charCodeAt(a + 1), n >= 56320 && n <= 57343) ? (r - 55296) * 1024 + n - 56320 + 65536 : r;
  }
  function va(t) {
    return Object.keys(t).reduce(function(a, e) {
      var r = t[e], n = !!r.icon;
      return n ? a[r.iconName] = r.icon : a[e] = r, a;
    }, {});
  }
  function Nt(t, a) {
    var e = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, r = e.skipHooks, n = r === void 0 ? !1 : r, o = va(a);
    typeof p.hooks.addPack == "function" && !n ? p.hooks.addPack(t, va(a)) : p.styles[t] = l(l({}, p.styles[t] || {}), o), t === "fas" && Nt("fa", a);
  }
  var K = p.styles, xe = p.shims, Ae = Object.values(na), It = null, ba = {}, ga = {}, pa = {}, ha = {}, ya = {}, Ee = Object.keys(At);
  function Se(t) {
    return ~ne.indexOf(t);
  }
  function Ce(t, a) {
    var e = a.split("-"), r = e[0], n = e.slice(1).join("-");
    return r === t && n !== "" && !Se(n) ? n : null;
  }
  var Q = function() {
    var a = function(o) {
      return Ot(K, function(i, s, f) {
        return i[f] = Ot(s, o, {}), i;
      }, {});
    };
    ba = a(function(n, o, i) {
      if (o[3] && (n[o[3]] = i), o[2]) {
        var s = o[2].filter(function(f) {
          return typeof f == "number";
        });
        s.forEach(function(f) {
          n[f.toString(16)] = i;
        });
      }
      return n;
    }), ga = a(function(n, o, i) {
      if (n[i] = i, o[2]) {
        var s = o[2].filter(function(f) {
          return typeof f == "string";
        });
        s.forEach(function(f) {
          n[f] = i;
        });
      }
      return n;
    }), ya = a(function(n, o, i) {
      var s = o[2];
      return n[i] = i, s.forEach(function(f) {
        n[f] = i;
      }), n;
    });
    var e = "far" in K || m.autoFetchSvg, r = Ot(xe, function(n, o) {
      var i = o[0], s = o[1], f = o[2];
      return s === "far" && !e && (s = "fas"), typeof i == "string" && (n.names[i] = {
        prefix: s,
        iconName: f
      }), typeof i == "number" && (n.unicodes[i.toString(16)] = {
        prefix: s,
        iconName: f
      }), n;
    }, {
      names: {},
      unicodes: {}
    });
    pa = r.names, ha = r.unicodes, It = lt(m.styleDefault);
  };
  le(function(t) {
    It = lt(t.styleDefault);
  }), Q();
  function Tt(t, a) {
    return (ba[t] || {})[a];
  }
  function Oe(t, a) {
    return (ga[t] || {})[a];
  }
  function $(t, a) {
    return (ya[t] || {})[a];
  }
  function ka(t) {
    return pa[t] || {
      prefix: null,
      iconName: null
    };
  }
  function Pe(t) {
    var a = ha[t], e = Tt("fas", t);
    return a || (e ? {
      prefix: "fas",
      iconName: e
    } : null) || {
      prefix: null,
      iconName: null
    };
  }
  function L() {
    return It;
  }
  var _t = function() {
    return {
      prefix: null,
      iconName: null,
      rest: []
    };
  };
  function lt(t) {
    var a = At[t], e = it[t] || it[a], r = t in p.styles ? t : null;
    return e || r || null;
  }
  function ct(t) {
    var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, e = a.skipLookups, r = e === void 0 ? !1 : e, n = null, o = t.reduce(function(i, s) {
      var f = Ce(m.familyPrefix, s);
      if (K[s] ? (s = Ae.includes(s) ? Ja[s] : s, n = s, i.prefix = s) : Ee.indexOf(s) > -1 ? (n = s, i.prefix = lt(s)) : f ? i.iconName = f : s !== m.replacementClass && i.rest.push(s), !r && i.prefix && i.iconName) {
        var d = n === "fa" ? ka(i.iconName) : {}, c = $(i.prefix, i.iconName);
        d.prefix && (n = null), i.iconName = d.iconName || c || i.iconName, i.prefix = d.prefix || i.prefix, i.prefix === "far" && !K.far && K.fas && !m.autoFetchSvg && (i.prefix = "fas");
      }
      return i;
    }, _t());
    return (o.prefix === "fa" || n === "fa") && (o.prefix = L() || "fas"), o;
  }
  var Ne = /* @__PURE__ */ function() {
    function t() {
      et(this, t), this.definitions = {};
    }
    return Bt(t, [{
      key: "add",
      value: function() {
        for (var e = this, r = arguments.length, n = new Array(r), o = 0; o < r; o++)
          n[o] = arguments[o];
        var i = n.reduce(this._pullDefinitions, {});
        Object.keys(i).forEach(function(s) {
          e.definitions[s] = l(l({}, e.definitions[s] || {}), i[s]), Nt(s, i[s]);
          var f = na[s];
          f && Nt(f, i[s]), Q();
        });
      }
    }, {
      key: "reset",
      value: function() {
        this.definitions = {};
      }
    }, {
      key: "_pullDefinitions",
      value: function(e, r) {
        var n = r.prefix && r.iconName && r.icon ? {
          0: r
        } : r;
        return Object.keys(n).map(function(o) {
          var i = n[o], s = i.prefix, f = i.iconName, d = i.icon, c = d[2];
          e[s] || (e[s] = {}), c.length > 0 && c.forEach(function(u) {
            typeof u == "string" && (e[s][u] = d);
          }), e[s][f] = d;
        }), e;
      }
    }]), t;
  }(), wa = [], U = {}, W = {}, Ie = Object.keys(W);
  function Te(t, a) {
    var e = a.mixoutsTo;
    return wa = t, U = {}, Object.keys(W).forEach(function(r) {
      Ie.indexOf(r) === -1 && delete W[r];
    }), wa.forEach(function(r) {
      var n = r.mixout ? r.mixout() : {};
      if (Object.keys(n).forEach(function(i) {
        typeof n[i] == "function" && (e[i] = n[i]), A(n[i]) === "object" && Object.keys(n[i]).forEach(function(s) {
          e[i] || (e[i] = {}), e[i][s] = n[i][s];
        });
      }), r.hooks) {
        var o = r.hooks();
        Object.keys(o).forEach(function(i) {
          U[i] || (U[i] = []), U[i].push(o[i]);
        });
      }
      r.provides && r.provides(W);
    }), e;
  }
  function Mt(t, a) {
    for (var e = arguments.length, r = new Array(e > 2 ? e - 2 : 0), n = 2; n < e; n++)
      r[n - 2] = arguments[n];
    var o = U[t] || [];
    return o.forEach(function(i) {
      a = i.apply(null, [a].concat(r));
    }), a;
  }
  function R(t) {
    for (var a = arguments.length, e = new Array(a > 1 ? a - 1 : 0), r = 1; r < a; r++)
      e[r - 1] = arguments[r];
    var n = U[t] || [];
    n.forEach(function(o) {
      o.apply(null, e);
    });
  }
  function _() {
    var t = arguments[0], a = Array.prototype.slice.call(arguments, 1);
    return W[t] ? W[t].apply(null, a) : void 0;
  }
  function Lt(t) {
    t.prefix === "fa" && (t.prefix = "fas");
    var a = t.iconName, e = t.prefix || L();
    if (!!a)
      return a = $(e, a) || a, da(xa.definitions, e, a) || da(p.styles, e, a);
  }
  var xa = new Ne(), _e = function() {
    m.autoReplaceSvg = !1, m.observeMutations = !1, R("noAuto");
  }, Me = {
    i2svg: function() {
      var a = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
      return N ? (R("beforeI2svg", a), _("pseudoElements2svg", a), _("i2svg", a)) : Promise.reject("Operation requires a DOM of some kind.");
    },
    watch: function() {
      var a = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, e = a.autoReplaceSvgRoot;
      m.autoReplaceSvg === !1 && (m.autoReplaceSvg = !0), m.observeMutations = !0, ma(function() {
        J({
          autoReplaceSvgRoot: e
        }), R("watch", a);
      });
    }
  }, Le = {
    icon: function(a) {
      if (a === null)
        return null;
      if (A(a) === "object" && a.prefix && a.iconName)
        return {
          prefix: a.prefix,
          iconName: $(a.prefix, a.iconName) || a.iconName
        };
      if (Array.isArray(a) && a.length === 2) {
        var e = a[1].indexOf("fa-") === 0 ? a[1].slice(3) : a[1], r = lt(a[0]);
        return {
          prefix: r,
          iconName: $(r, e) || e
        };
      }
      if (typeof a == "string" && (a.indexOf("".concat(m.familyPrefix, "-")) > -1 || a.match(Za))) {
        var n = ct(a.split(" "), {
          skipLookups: !0
        });
        return {
          prefix: n.prefix || L(),
          iconName: $(n.prefix, n.iconName) || n.iconName
        };
      }
      if (typeof a == "string") {
        var o = L();
        return {
          prefix: o,
          iconName: $(o, a) || a
        };
      }
    }
  }, Rt = {
    noAuto: _e,
    config: m,
    dom: Me,
    parse: Le,
    library: xa,
    findIconDefinition: Lt,
    toHtml: q
  }, J = function() {
    var a = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, e = a.autoReplaceSvgRoot, r = e === void 0 ? b : e;
    (Object.keys(p.styles).length > 0 || m.autoFetchSvg) && N && m.autoReplaceSvg && Rt.dom.i2svg({
      node: r
    });
  };
  function Re(t) {
    Va && (O.FontAwesome || (O.FontAwesome = Rt), ma(function() {
      J(), R("bootstrap");
    })), p.hooks = l(l({}, p.hooks), {}, {
      addPack: function(e, r) {
        p.styles[e] = l(l({}, p.styles[e] || {}), r), Q(), J();
      },
      addPacks: function(e) {
        e.forEach(function(r) {
          var n = rt(r, 2), o = n[0], i = n[1];
          p.styles[o] = l(l({}, p.styles[o] || {}), i);
        }), Q(), J();
      },
      addShims: function(e) {
        var r;
        (r = p.shims).push.apply(r, G(e)), Q(), J();
      }
    });
  }
  function ut(t, a) {
    return Object.defineProperty(t, "abstract", {
      get: a
    }), Object.defineProperty(t, "html", {
      get: function() {
        return t.abstract.map(function(r) {
          return q(r);
        });
      }
    }), Object.defineProperty(t, "node", {
      get: function() {
        if (!!N) {
          var r = b.createElement("div");
          return r.innerHTML = t.html, r.children;
        }
      }
    }), t;
  }
  function ze(t) {
    var a = t.children, e = t.main, r = t.mask, n = t.attributes, o = t.styles, i = t.transform;
    if (St(i) && e.found && !r.found) {
      var s = e.width, f = e.height, d = {
        x: s / f / 2,
        y: 0.5
      };
      n.style = st(l(l({}, o), {}, {
        "transform-origin": "".concat(d.x + i.x / 16, "em ").concat(d.y + i.y / 16, "em")
      }));
    }
    return [{
      tag: "svg",
      attributes: n,
      children: a
    }];
  }
  function Fe(t) {
    var a = t.prefix, e = t.iconName, r = t.children, n = t.attributes, o = t.symbol, i = o === !0 ? "".concat(a, "-").concat(m.familyPrefix, "-").concat(e) : o;
    return [{
      tag: "svg",
      attributes: {
        style: "display: none;"
      },
      children: [{
        tag: "symbol",
        attributes: l(l({}, n), {}, {
          id: i
        }),
        children: r
      }]
    }];
  }
  function zt(t) {
    var a = t.icons, e = a.main, r = a.mask, n = t.prefix, o = t.iconName, i = t.transform, s = t.symbol, f = t.title, d = t.maskId, c = t.titleId, u = t.extra, v = t.watchable, g = v === void 0 ? !1 : v, y = r.found ? r : e, S = y.width, C = y.height, w = n === "fak", k = [m.replacementClass, o ? "".concat(m.familyPrefix, "-").concat(o) : ""].filter(function(H) {
      return u.classes.indexOf(H) === -1;
    }).filter(function(H) {
      return H !== "" || !!H;
    }).concat(u.classes).join(" "), h = {
      children: [],
      attributes: l(l({}, u.attributes), {}, {
        "data-prefix": n,
        "data-icon": o,
        class: k,
        role: u.attributes.role || "img",
        xmlns: "http://www.w3.org/2000/svg",
        viewBox: "0 0 ".concat(S, " ").concat(C)
      })
    }, z = w && !~u.classes.indexOf("fa-fw") ? {
      width: "".concat(S / C * 16 * 0.0625, "em")
    } : {};
    g && (h.attributes[D] = ""), f && (h.children.push({
      tag: "title",
      attributes: {
        id: h.attributes["aria-labelledby"] || "title-".concat(c || V())
      },
      children: [f]
    }), delete h.attributes.title);
    var x = l(l({}, h), {}, {
      prefix: n,
      iconName: o,
      main: e,
      mask: r,
      maskId: d,
      transform: i,
      symbol: s,
      styles: l(l({}, z), u.styles)
    }), F = r.found && e.found ? _("generateAbstractMask", x) || {
      children: [],
      attributes: {}
    } : _("generateAbstractIcon", x) || {
      children: [],
      attributes: {}
    }, tt = F.children, at = F.attributes;
    return x.children = tt, x.attributes = at, s ? Fe(x) : ze(x);
  }
  function Aa(t) {
    var a = t.content, e = t.width, r = t.height, n = t.transform, o = t.title, i = t.extra, s = t.watchable, f = s === void 0 ? !1 : s, d = l(l(l({}, i.attributes), o ? {
      title: o
    } : {}), {}, {
      class: i.classes.join(" ")
    });
    f && (d[D] = "");
    var c = l({}, i.styles);
    St(n) && (c.transform = be({
      transform: n,
      startCentered: !0,
      width: e,
      height: r
    }), c["-webkit-transform"] = c.transform);
    var u = st(c);
    u.length > 0 && (d.style = u);
    var v = [];
    return v.push({
      tag: "span",
      attributes: d,
      children: [a]
    }), o && v.push({
      tag: "span",
      attributes: {
        class: "sr-only"
      },
      children: [o]
    }), v;
  }
  function De(t) {
    var a = t.content, e = t.title, r = t.extra, n = l(l(l({}, r.attributes), e ? {
      title: e
    } : {}), {}, {
      class: r.classes.join(" ")
    }), o = st(r.styles);
    o.length > 0 && (n.style = o);
    var i = [];
    return i.push({
      tag: "span",
      attributes: n,
      children: [a]
    }), e && i.push({
      tag: "span",
      attributes: {
        class: "sr-only"
      },
      children: [e]
    }), i;
  }
  var Ft = p.styles;
  function Dt(t) {
    var a = t[0], e = t[1], r = t.slice(4), n = rt(r, 1), o = n[0], i = null;
    return Array.isArray(o) ? i = {
      tag: "g",
      attributes: {
        class: "".concat(m.familyPrefix, "-").concat(Y.GROUP)
      },
      children: [{
        tag: "path",
        attributes: {
          class: "".concat(m.familyPrefix, "-").concat(Y.SECONDARY),
          fill: "currentColor",
          d: o[0]
        }
      }, {
        tag: "path",
        attributes: {
          class: "".concat(m.familyPrefix, "-").concat(Y.PRIMARY),
          fill: "currentColor",
          d: o[1]
        }
      }]
    } : i = {
      tag: "path",
      attributes: {
        fill: "currentColor",
        d: o
      }
    }, {
      found: !0,
      width: a,
      height: e,
      icon: i
    };
  }
  var Ye = {
    found: !1,
    width: 512,
    height: 512
  };
  function je(t, a) {
    !xt && !m.showMissingIcons && t && console.error('Icon with name "'.concat(t, '" and prefix "').concat(a, '" is missing.'));
  }
  function Yt(t, a) {
    var e = a;
    return a === "fa" && m.styleDefault !== null && (a = L()), new Promise(function(r, n) {
      if (_("missingIconAbstract"), e === "fa") {
        var o = ka(t) || {};
        t = o.iconName || t, a = o.prefix || a;
      }
      if (t && a && Ft[a] && Ft[a][t]) {
        var i = Ft[a][t];
        return r(Dt(i));
      }
      je(t, a), r(l(l({}, Ye), {}, {
        icon: m.showMissingIcons && t ? _("missingIconAbstract") || {} : {}
      }));
    });
  }
  var Ea = function() {
  }, jt = m.measurePerformance && nt && nt.mark && nt.measure ? nt : {
    mark: Ea,
    measure: Ea
  }, Z = 'FA "6.1.2"', $e = function(a) {
    return jt.mark("".concat(Z, " ").concat(a, " begins")), function() {
      return Sa(a);
    };
  }, Sa = function(a) {
    jt.mark("".concat(Z, " ").concat(a, " ends")), jt.measure("".concat(Z, " ").concat(a), "".concat(Z, " ").concat(a, " begins"), "".concat(Z, " ").concat(a, " ends"));
  }, $t = {
    begin: $e,
    end: Sa
  }, mt = function() {
  };
  function Ca(t) {
    var a = t.getAttribute ? t.getAttribute(D) : null;
    return typeof a == "string";
  }
  function Ue(t) {
    var a = t.getAttribute ? t.getAttribute(kt) : null, e = t.getAttribute ? t.getAttribute(wt) : null;
    return a && e;
  }
  function We(t) {
    return t && t.classList && t.classList.contains && t.classList.contains(m.replacementClass);
  }
  function He() {
    if (m.autoReplaceSvg === !0)
      return dt.replace;
    var t = dt[m.autoReplaceSvg];
    return t || dt.replace;
  }
  function Be(t) {
    return b.createElementNS("http://www.w3.org/2000/svg", t);
  }
  function Ge(t) {
    return b.createElement(t);
  }
  function Oa(t) {
    var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, e = a.ceFn, r = e === void 0 ? t.tag === "svg" ? Be : Ge : e;
    if (typeof t == "string")
      return b.createTextNode(t);
    var n = r(t.tag);
    Object.keys(t.attributes || []).forEach(function(i) {
      n.setAttribute(i, t.attributes[i]);
    });
    var o = t.children || [];
    return o.forEach(function(i) {
      n.appendChild(Oa(i, {
        ceFn: r
      }));
    }), n;
  }
  function Xe(t) {
    var a = " ".concat(t.outerHTML, " ");
    return a = "".concat(a, "Font Awesome fontawesome.com "), a;
  }
  var dt = {
    replace: function(a) {
      var e = a[0];
      if (e.parentNode)
        if (a[1].forEach(function(n) {
          e.parentNode.insertBefore(Oa(n), e);
        }), e.getAttribute(D) === null && m.keepOriginalSource) {
          var r = b.createComment(Xe(e));
          e.parentNode.replaceChild(r, e);
        } else
          e.remove();
    },
    nest: function(a) {
      var e = a[0], r = a[1];
      if (~Et(e).indexOf(m.replacementClass))
        return dt.replace(a);
      var n = new RegExp("".concat(m.familyPrefix, "-.*"));
      if (delete r[0].attributes.id, r[0].attributes.class) {
        var o = r[0].attributes.class.split(" ").reduce(function(s, f) {
          return f === m.replacementClass || f.match(n) ? s.toSvg.push(f) : s.toNode.push(f), s;
        }, {
          toNode: [],
          toSvg: []
        });
        r[0].attributes.class = o.toSvg.join(" "), o.toNode.length === 0 ? e.removeAttribute("class") : e.setAttribute("class", o.toNode.join(" "));
      }
      var i = r.map(function(s) {
        return q(s);
      }).join(`
`);
      e.setAttribute(D, ""), e.innerHTML = i;
    }
  };
  function Pa(t) {
    t();
  }
  function Na(t, a) {
    var e = typeof a == "function" ? a : mt;
    if (t.length === 0)
      e();
    else {
      var r = Pa;
      m.mutateApproach === Ka && (r = O.requestAnimationFrame || Pa), r(function() {
        var n = He(), o = $t.begin("mutate");
        t.map(n), o(), e();
      });
    }
  }
  var Ut = !1;
  function Ia() {
    Ut = !0;
  }
  function Wt() {
    Ut = !1;
  }
  var vt = null;
  function Ta(t) {
    if (!!Zt && !!m.observeMutations) {
      var a = t.treeCallback, e = a === void 0 ? mt : a, r = t.nodeCallback, n = r === void 0 ? mt : r, o = t.pseudoElementsCallback, i = o === void 0 ? mt : o, s = t.observeMutationsRoot, f = s === void 0 ? b : s;
      vt = new Zt(function(d) {
        if (!Ut) {
          var c = L();
          j(d).forEach(function(u) {
            if (u.type === "childList" && u.addedNodes.length > 0 && !Ca(u.addedNodes[0]) && (m.searchPseudoElements && i(u.target), e(u.target)), u.type === "attributes" && u.target.parentNode && m.searchPseudoElements && i(u.target.parentNode), u.type === "attributes" && Ca(u.target) && ~re.indexOf(u.attributeName))
              if (u.attributeName === "class" && Ue(u.target)) {
                var v = ct(Et(u.target)), g = v.prefix, y = v.iconName;
                u.target.setAttribute(kt, g || c), y && u.target.setAttribute(wt, y);
              } else
                We(u.target) && n(u.target);
          });
        }
      }), N && vt.observe(f, {
        childList: !0,
        attributes: !0,
        characterData: !0,
        subtree: !0
      });
    }
  }
  function Ve() {
    !vt || vt.disconnect();
  }
  function qe(t) {
    var a = t.getAttribute("style"), e = [];
    return a && (e = a.split(";").reduce(function(r, n) {
      var o = n.split(":"), i = o[0], s = o.slice(1);
      return i && s.length > 0 && (r[i] = s.join(":").trim()), r;
    }, {})), e;
  }
  function Ke(t) {
    var a = t.getAttribute("data-prefix"), e = t.getAttribute("data-icon"), r = t.innerText !== void 0 ? t.innerText.trim() : "", n = ct(Et(t));
    return n.prefix || (n.prefix = L()), a && e && (n.prefix = a, n.iconName = e), n.iconName && n.prefix || (n.prefix && r.length > 0 && (n.iconName = Oe(n.prefix, t.innerText) || Tt(n.prefix, Pt(t.innerText))), !n.iconName && m.autoFetchSvg && t.firstChild && t.firstChild.nodeType === Node.TEXT_NODE && (n.iconName = t.firstChild.data)), n;
  }
  function Qe(t) {
    var a = j(t.attributes).reduce(function(n, o) {
      return n.name !== "class" && n.name !== "style" && (n[o.name] = o.value), n;
    }, {}), e = t.getAttribute("title"), r = t.getAttribute("data-fa-title-id");
    return m.autoA11y && (e ? a["aria-labelledby"] = "".concat(m.replacementClass, "-title-").concat(r || V()) : (a["aria-hidden"] = "true", a.focusable = "false")), a;
  }
  function Je() {
    return {
      iconName: null,
      title: null,
      titleId: null,
      prefix: null,
      transform: P,
      symbol: !1,
      mask: {
        iconName: null,
        prefix: null,
        rest: []
      },
      maskId: null,
      extra: {
        classes: [],
        styles: {},
        attributes: {}
      }
    };
  }
  function _a(t) {
    var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {
      styleParser: !0
    }, e = Ke(t), r = e.iconName, n = e.prefix, o = e.rest, i = Qe(t), s = Mt("parseNodeAttributes", {}, t), f = a.styleParser ? qe(t) : [];
    return l({
      iconName: r,
      title: t.getAttribute("title"),
      titleId: t.getAttribute("data-fa-title-id"),
      prefix: n,
      transform: P,
      mask: {
        iconName: null,
        prefix: null,
        rest: []
      },
      maskId: null,
      symbol: !1,
      extra: {
        classes: o,
        styles: f,
        attributes: i
      }
    }, s);
  }
  var Ze = p.styles;
  function Ma(t) {
    var a = m.autoReplaceSvg === "nest" ? _a(t, {
      styleParser: !1
    }) : _a(t);
    return ~a.extra.classes.indexOf(ia) ? _("generateLayersText", t, a) : _("generateSvgReplacementMutation", t, a);
  }
  function La(t) {
    var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
    if (!N)
      return Promise.resolve();
    var e = b.documentElement.classList, r = function(u) {
      return e.add("".concat(ra, "-").concat(u));
    }, n = function(u) {
      return e.remove("".concat(ra, "-").concat(u));
    }, o = m.autoFetchSvg ? Object.keys(At) : Object.keys(Ze);
    o.includes("fa") || o.push("fa");
    var i = [".".concat(ia, ":not([").concat(D, "])")].concat(o.map(function(c) {
      return ".".concat(c, ":not([").concat(D, "])");
    })).join(", ");
    if (i.length === 0)
      return Promise.resolve();
    var s = [];
    try {
      s = j(t.querySelectorAll(i));
    } catch {
    }
    if (s.length > 0)
      r("pending"), n("complete");
    else
      return Promise.resolve();
    var f = $t.begin("onTree"), d = s.reduce(function(c, u) {
      try {
        var v = Ma(u);
        v && c.push(v);
      } catch (g) {
        xt || g.name === "MissingIcon" && console.error(g);
      }
      return c;
    }, []);
    return new Promise(function(c, u) {
      Promise.all(d).then(function(v) {
        Na(v, function() {
          r("active"), r("complete"), n("pending"), typeof a == "function" && a(), f(), c();
        });
      }).catch(function(v) {
        f(), u(v);
      });
    });
  }
  function tr(t) {
    var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
    Ma(t).then(function(e) {
      e && Na([e], a);
    });
  }
  function ar(t) {
    return function(a) {
      var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = (a || {}).icon ? a : Lt(a || {}), n = e.mask;
      return n && (n = (n || {}).icon ? n : Lt(n || {})), t(r, l(l({}, e), {}, {
        mask: n
      }));
    };
  }
  var er = function(a) {
    var e = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, r = e.transform, n = r === void 0 ? P : r, o = e.symbol, i = o === void 0 ? !1 : o, s = e.mask, f = s === void 0 ? null : s, d = e.maskId, c = d === void 0 ? null : d, u = e.title, v = u === void 0 ? null : u, g = e.titleId, y = g === void 0 ? null : g, S = e.classes, C = S === void 0 ? [] : S, w = e.attributes, k = w === void 0 ? {} : w, h = e.styles, z = h === void 0 ? {} : h;
    if (!!a) {
      var x = a.prefix, F = a.iconName, tt = a.icon;
      return ut(l({
        type: "icon"
      }, a), function() {
        return R("beforeDOMElementCreation", {
          iconDefinition: a,
          params: e
        }), m.autoA11y && (v ? k["aria-labelledby"] = "".concat(m.replacementClass, "-title-").concat(y || V()) : (k["aria-hidden"] = "true", k.focusable = "false")), zt({
          icons: {
            main: Dt(tt),
            mask: f ? Dt(f.icon) : {
              found: !1,
              width: null,
              height: null,
              icon: {}
            }
          },
          prefix: x,
          iconName: F,
          transform: l(l({}, P), n),
          symbol: i,
          title: v,
          maskId: c,
          titleId: y,
          extra: {
            attributes: k,
            styles: z,
            classes: C
          }
        });
      });
    }
  }, rr = {
    mixout: function() {
      return {
        icon: ar(er)
      };
    },
    hooks: function() {
      return {
        mutationObserverCallbacks: function(e) {
          return e.treeCallback = La, e.nodeCallback = tr, e;
        }
      };
    },
    provides: function(a) {
      a.i2svg = function(e) {
        var r = e.node, n = r === void 0 ? b : r, o = e.callback, i = o === void 0 ? function() {
        } : o;
        return La(n, i);
      }, a.generateSvgReplacementMutation = function(e, r) {
        var n = r.iconName, o = r.title, i = r.titleId, s = r.prefix, f = r.transform, d = r.symbol, c = r.mask, u = r.maskId, v = r.extra;
        return new Promise(function(g, y) {
          Promise.all([Yt(n, s), c.iconName ? Yt(c.iconName, c.prefix) : Promise.resolve({
            found: !1,
            width: 512,
            height: 512,
            icon: {}
          })]).then(function(S) {
            var C = rt(S, 2), w = C[0], k = C[1];
            g([e, zt({
              icons: {
                main: w,
                mask: k
              },
              prefix: s,
              iconName: n,
              transform: f,
              symbol: d,
              maskId: u,
              title: o,
              titleId: i,
              extra: v,
              watchable: !0
            })]);
          }).catch(y);
        });
      }, a.generateAbstractIcon = function(e) {
        var r = e.children, n = e.attributes, o = e.main, i = e.transform, s = e.styles, f = st(s);
        f.length > 0 && (n.style = f);
        var d;
        return St(i) && (d = _("generateAbstractTransformGrouping", {
          main: o,
          transform: i,
          containerWidth: o.width,
          iconWidth: o.width
        })), r.push(d || o.icon), {
          children: r,
          attributes: n
        };
      };
    }
  }, nr = {
    mixout: function() {
      return {
        layer: function(e) {
          var r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = r.classes, o = n === void 0 ? [] : n;
          return ut({
            type: "layer"
          }, function() {
            R("beforeDOMElementCreation", {
              assembler: e,
              params: r
            });
            var i = [];
            return e(function(s) {
              Array.isArray(s) ? s.map(function(f) {
                i = i.concat(f.abstract);
              }) : i = i.concat(s.abstract);
            }), [{
              tag: "span",
              attributes: {
                class: ["".concat(m.familyPrefix, "-layers")].concat(G(o)).join(" ")
              },
              children: i
            }];
          });
        }
      };
    }
  }, ir = {
    mixout: function() {
      return {
        counter: function(e) {
          var r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = r.title, o = n === void 0 ? null : n, i = r.classes, s = i === void 0 ? [] : i, f = r.attributes, d = f === void 0 ? {} : f, c = r.styles, u = c === void 0 ? {} : c;
          return ut({
            type: "counter",
            content: e
          }, function() {
            return R("beforeDOMElementCreation", {
              content: e,
              params: r
            }), De({
              content: e.toString(),
              title: o,
              extra: {
                attributes: d,
                styles: u,
                classes: ["".concat(m.familyPrefix, "-layers-counter")].concat(G(s))
              }
            });
          });
        }
      };
    }
  }, or = {
    mixout: function() {
      return {
        text: function(e) {
          var r = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, n = r.transform, o = n === void 0 ? P : n, i = r.title, s = i === void 0 ? null : i, f = r.classes, d = f === void 0 ? [] : f, c = r.attributes, u = c === void 0 ? {} : c, v = r.styles, g = v === void 0 ? {} : v;
          return ut({
            type: "text",
            content: e
          }, function() {
            return R("beforeDOMElementCreation", {
              content: e,
              params: r
            }), Aa({
              content: e,
              transform: l(l({}, P), o),
              title: s,
              extra: {
                attributes: u,
                styles: g,
                classes: ["".concat(m.familyPrefix, "-layers-text")].concat(G(d))
              }
            });
          });
        }
      };
    },
    provides: function(a) {
      a.generateLayersText = function(e, r) {
        var n = r.title, o = r.transform, i = r.extra, s = null, f = null;
        if (ta) {
          var d = parseInt(getComputedStyle(e).fontSize, 10), c = e.getBoundingClientRect();
          s = c.width / d, f = c.height / d;
        }
        return m.autoA11y && !n && (i.attributes["aria-hidden"] = "true"), Promise.resolve([e, Aa({
          content: e.innerHTML,
          width: s,
          height: f,
          transform: o,
          title: n,
          extra: i,
          watchable: !0
        })]);
      };
    }
  }, sr = new RegExp('"', "ug"), Ra = [1105920, 1112319];
  function fr(t) {
    var a = t.replace(sr, ""), e = we(a, 0), r = e >= Ra[0] && e <= Ra[1], n = a.length === 2 ? a[0] === a[1] : !1;
    return {
      value: Pt(n ? a[0] : a),
      isSecondary: r || n
    };
  }
  function za(t, a) {
    var e = "".concat(qa).concat(a.replace(":", "-"));
    return new Promise(function(r, n) {
      if (t.getAttribute(e) !== null)
        return r();
      var o = j(t.children), i = o.filter(function(F) {
        return F.getAttribute(yt) === a;
      })[0], s = O.getComputedStyle(t, a), f = s.getPropertyValue("font-family").match(te), d = s.getPropertyValue("font-weight"), c = s.getPropertyValue("content");
      if (i && !f)
        return t.removeChild(i), r();
      if (f && c !== "none" && c !== "") {
        var u = s.getPropertyValue("content"), v = ~["Solid", "Regular", "Light", "Thin", "Duotone", "Brands", "Kit"].indexOf(f[2]) ? it[f[2].toLowerCase()] : ae[d], g = fr(u), y = g.value, S = g.isSecondary, C = f[0].startsWith("FontAwesome"), w = Tt(v, y), k = w;
        if (C) {
          var h = Pe(y);
          h.iconName && h.prefix && (w = h.iconName, v = h.prefix);
        }
        if (w && !S && (!i || i.getAttribute(kt) !== v || i.getAttribute(wt) !== k)) {
          t.setAttribute(e, k), i && t.removeChild(i);
          var z = Je(), x = z.extra;
          x.attributes[yt] = a, Yt(w, v).then(function(F) {
            var tt = zt(l(l({}, z), {}, {
              icons: {
                main: F,
                mask: _t()
              },
              prefix: v,
              iconName: k,
              extra: x,
              watchable: !0
            })), at = b.createElement("svg");
            a === "::before" ? t.insertBefore(at, t.firstChild) : t.appendChild(at), at.outerHTML = tt.map(function(H) {
              return q(H);
            }).join(`
`), t.removeAttribute(e), r();
          }).catch(n);
        } else
          r();
      } else
        r();
    });
  }
  function lr(t) {
    return Promise.all([za(t, "::before"), za(t, "::after")]);
  }
  function cr(t) {
    return t.parentNode !== document.head && !~Qa.indexOf(t.tagName.toUpperCase()) && !t.getAttribute(yt) && (!t.parentNode || t.parentNode.tagName !== "svg");
  }
  function Fa(t) {
    if (!!N)
      return new Promise(function(a, e) {
        var r = j(t.querySelectorAll("*")).filter(cr).map(lr), n = $t.begin("searchPseudoElements");
        Ia(), Promise.all(r).then(function() {
          n(), Wt(), a();
        }).catch(function() {
          n(), Wt(), e();
        });
      });
  }
  var ur = {
    hooks: function() {
      return {
        mutationObserverCallbacks: function(e) {
          return e.pseudoElementsCallback = Fa, e;
        }
      };
    },
    provides: function(a) {
      a.pseudoElements2svg = function(e) {
        var r = e.node, n = r === void 0 ? b : r;
        m.searchPseudoElements && Fa(n);
      };
    }
  }, Da = !1, mr = {
    mixout: function() {
      return {
        dom: {
          unwatch: function() {
            Ia(), Da = !0;
          }
        }
      };
    },
    hooks: function() {
      return {
        bootstrap: function() {
          Ta(Mt("mutationObserverCallbacks", {}));
        },
        noAuto: function() {
          Ve();
        },
        watch: function(e) {
          var r = e.observeMutationsRoot;
          Da ? Wt() : Ta(Mt("mutationObserverCallbacks", {
            observeMutationsRoot: r
          }));
        }
      };
    }
  }, Ya = function(a) {
    var e = {
      size: 16,
      x: 0,
      y: 0,
      flipX: !1,
      flipY: !1,
      rotate: 0
    };
    return a.toLowerCase().split(" ").reduce(function(r, n) {
      var o = n.toLowerCase().split("-"), i = o[0], s = o.slice(1).join("-");
      if (i && s === "h")
        return r.flipX = !0, r;
      if (i && s === "v")
        return r.flipY = !0, r;
      if (s = parseFloat(s), isNaN(s))
        return r;
      switch (i) {
        case "grow":
          r.size = r.size + s;
          break;
        case "shrink":
          r.size = r.size - s;
          break;
        case "left":
          r.x = r.x - s;
          break;
        case "right":
          r.x = r.x + s;
          break;
        case "up":
          r.y = r.y - s;
          break;
        case "down":
          r.y = r.y + s;
          break;
        case "rotate":
          r.rotate = r.rotate + s;
          break;
      }
      return r;
    }, e);
  }, dr = {
    mixout: function() {
      return {
        parse: {
          transform: function(e) {
            return Ya(e);
          }
        }
      };
    },
    hooks: function() {
      return {
        parseNodeAttributes: function(e, r) {
          var n = r.getAttribute("data-fa-transform");
          return n && (e.transform = Ya(n)), e;
        }
      };
    },
    provides: function(a) {
      a.generateAbstractTransformGrouping = function(e) {
        var r = e.main, n = e.transform, o = e.containerWidth, i = e.iconWidth, s = {
          transform: "translate(".concat(o / 2, " 256)")
        }, f = "translate(".concat(n.x * 32, ", ").concat(n.y * 32, ") "), d = "scale(".concat(n.size / 16 * (n.flipX ? -1 : 1), ", ").concat(n.size / 16 * (n.flipY ? -1 : 1), ") "), c = "rotate(".concat(n.rotate, " 0 0)"), u = {
          transform: "".concat(f, " ").concat(d, " ").concat(c)
        }, v = {
          transform: "translate(".concat(i / 2 * -1, " -256)")
        }, g = {
          outer: s,
          inner: u,
          path: v
        };
        return {
          tag: "g",
          attributes: l({}, g.outer),
          children: [{
            tag: "g",
            attributes: l({}, g.inner),
            children: [{
              tag: r.icon.tag,
              children: r.icon.children,
              attributes: l(l({}, r.icon.attributes), g.path)
            }]
          }]
        };
      };
    }
  }, Ht = {
    x: 0,
    y: 0,
    width: "100%",
    height: "100%"
  };
  function ja(t) {
    var a = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0;
    return t.attributes && (t.attributes.fill || a) && (t.attributes.fill = "black"), t;
  }
  function vr(t) {
    return t.tag === "g" ? t.children : [t];
  }
  var br = {
    hooks: function() {
      return {
        parseNodeAttributes: function(e, r) {
          var n = r.getAttribute("data-fa-mask"), o = n ? ct(n.split(" ").map(function(i) {
            return i.trim();
          })) : _t();
          return o.prefix || (o.prefix = L()), e.mask = o, e.maskId = r.getAttribute("data-fa-mask-id"), e;
        }
      };
    },
    provides: function(a) {
      a.generateAbstractMask = function(e) {
        var r = e.children, n = e.attributes, o = e.main, i = e.mask, s = e.maskId, f = e.transform, d = o.width, c = o.icon, u = i.width, v = i.icon, g = ve({
          transform: f,
          containerWidth: u,
          iconWidth: d
        }), y = {
          tag: "rect",
          attributes: l(l({}, Ht), {}, {
            fill: "white"
          })
        }, S = c.children ? {
          children: c.children.map(ja)
        } : {}, C = {
          tag: "g",
          attributes: l({}, g.inner),
          children: [ja(l({
            tag: c.tag,
            attributes: l(l({}, c.attributes), g.path)
          }, S))]
        }, w = {
          tag: "g",
          attributes: l({}, g.outer),
          children: [C]
        }, k = "mask-".concat(s || V()), h = "clip-".concat(s || V()), z = {
          tag: "mask",
          attributes: l(l({}, Ht), {}, {
            id: k,
            maskUnits: "userSpaceOnUse",
            maskContentUnits: "userSpaceOnUse"
          }),
          children: [y, w]
        }, x = {
          tag: "defs",
          children: [{
            tag: "clipPath",
            attributes: {
              id: h
            },
            children: vr(v)
          }, z]
        };
        return r.push(x, {
          tag: "rect",
          attributes: l({
            fill: "currentColor",
            "clip-path": "url(#".concat(h, ")"),
            mask: "url(#".concat(k, ")")
          }, Ht)
        }), {
          children: r,
          attributes: n
        };
      };
    }
  }, gr = {
    provides: function(a) {
      var e = !1;
      O.matchMedia && (e = O.matchMedia("(prefers-reduced-motion: reduce)").matches), a.missingIconAbstract = function() {
        var r = [], n = {
          fill: "currentColor"
        }, o = {
          attributeType: "XML",
          repeatCount: "indefinite",
          dur: "2s"
        };
        r.push({
          tag: "path",
          attributes: l(l({}, n), {}, {
            d: "M156.5,447.7l-12.6,29.5c-18.7-9.5-35.9-21.2-51.5-34.9l22.7-22.7C127.6,430.5,141.5,440,156.5,447.7z M40.6,272H8.5 c1.4,21.2,5.4,41.7,11.7,61.1L50,321.2C45.1,305.5,41.8,289,40.6,272z M40.6,240c1.4-18.8,5.2-37,11.1-54.1l-29.5-12.6 C14.7,194.3,10,216.7,8.5,240H40.6z M64.3,156.5c7.8-14.9,17.2-28.8,28.1-41.5L69.7,92.3c-13.7,15.6-25.5,32.8-34.9,51.5 L64.3,156.5z M397,419.6c-13.9,12-29.4,22.3-46.1,30.4l11.9,29.8c20.7-9.9,39.8-22.6,56.9-37.6L397,419.6z M115,92.4 c13.9-12,29.4-22.3,46.1-30.4l-11.9-29.8c-20.7,9.9-39.8,22.6-56.8,37.6L115,92.4z M447.7,355.5c-7.8,14.9-17.2,28.8-28.1,41.5 l22.7,22.7c13.7-15.6,25.5-32.9,34.9-51.5L447.7,355.5z M471.4,272c-1.4,18.8-5.2,37-11.1,54.1l29.5,12.6 c7.5-21.1,12.2-43.5,13.6-66.8H471.4z M321.2,462c-15.7,5-32.2,8.2-49.2,9.4v32.1c21.2-1.4,41.7-5.4,61.1-11.7L321.2,462z M240,471.4c-18.8-1.4-37-5.2-54.1-11.1l-12.6,29.5c21.1,7.5,43.5,12.2,66.8,13.6V471.4z M462,190.8c5,15.7,8.2,32.2,9.4,49.2h32.1 c-1.4-21.2-5.4-41.7-11.7-61.1L462,190.8z M92.4,397c-12-13.9-22.3-29.4-30.4-46.1l-29.8,11.9c9.9,20.7,22.6,39.8,37.6,56.9 L92.4,397z M272,40.6c18.8,1.4,36.9,5.2,54.1,11.1l12.6-29.5C317.7,14.7,295.3,10,272,8.5V40.6z M190.8,50 c15.7-5,32.2-8.2,49.2-9.4V8.5c-21.2,1.4-41.7,5.4-61.1,11.7L190.8,50z M442.3,92.3L419.6,115c12,13.9,22.3,29.4,30.5,46.1 l29.8-11.9C470,128.5,457.3,109.4,442.3,92.3z M397,92.4l22.7-22.7c-15.6-13.7-32.8-25.5-51.5-34.9l-12.6,29.5 C370.4,72.1,384.4,81.5,397,92.4z"
          })
        });
        var i = l(l({}, o), {}, {
          attributeName: "opacity"
        }), s = {
          tag: "circle",
          attributes: l(l({}, n), {}, {
            cx: "256",
            cy: "364",
            r: "28"
          }),
          children: []
        };
        return e || s.children.push({
          tag: "animate",
          attributes: l(l({}, o), {}, {
            attributeName: "r",
            values: "28;14;28;28;14;28;"
          })
        }, {
          tag: "animate",
          attributes: l(l({}, i), {}, {
            values: "1;0;1;1;0;1;"
          })
        }), r.push(s), r.push({
          tag: "path",
          attributes: l(l({}, n), {}, {
            opacity: "1",
            d: "M263.7,312h-16c-6.6,0-12-5.4-12-12c0-71,77.4-63.9,77.4-107.8c0-20-17.8-40.2-57.4-40.2c-29.1,0-44.3,9.6-59.2,28.7 c-3.9,5-11.1,6-16.2,2.4l-13.1-9.2c-5.6-3.9-6.9-11.8-2.6-17.2c21.2-27.2,46.4-44.7,91.2-44.7c52.3,0,97.4,29.8,97.4,80.2 c0,67.6-77.4,63.5-77.4,107.8C275.7,306.6,270.3,312,263.7,312z"
          }),
          children: e ? [] : [{
            tag: "animate",
            attributes: l(l({}, i), {}, {
              values: "1;0;0;0;0;1;"
            })
          }]
        }), e || r.push({
          tag: "path",
          attributes: l(l({}, n), {}, {
            opacity: "0",
            d: "M232.5,134.5l7,168c0.3,6.4,5.6,11.5,12,11.5h9c6.4,0,11.7-5.1,12-11.5l7-168c0.3-6.8-5.2-12.5-12-12.5h-23 C237.7,122,232.2,127.7,232.5,134.5z"
          }),
          children: [{
            tag: "animate",
            attributes: l(l({}, i), {}, {
              values: "0;0;1;1;0;0;"
            })
          }]
        }), {
          tag: "g",
          attributes: {
            class: "missing"
          },
          children: r
        };
      };
    }
  }, pr = {
    hooks: function() {
      return {
        parseNodeAttributes: function(e, r) {
          var n = r.getAttribute("data-fa-symbol"), o = n === null ? !1 : n === "" ? !0 : n;
          return e.symbol = o, e;
        }
      };
    }
  }, hr = [pe, rr, nr, ir, or, ur, mr, dr, br, gr, pr];
  Te(hr, {
    mixoutsTo: Rt
  }), ce(Re);
})();
const _r = {
  install: (E) => {
    E.component("CrediButton", Pr), E.use(yr, kr);
  }
};
export {
  _r as default
};
